# Slot read

`GET /Slot/{id}`

This resource contains details for available appointment times for a healthcare organization. There may be one or more slots allotted to a particular period of time (e.g., five appointments available per hour) or multiple participants for an appointment.

A `Slot` resource only includes an indicator for available/busy, not detailed information about available appointments. It’s expected that you'd use this resource to kick off a workflow in your own system to book an appointment.

You can review or retrieve available appointment times.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### read

Review a specific `Slot` resource with available appointment times for a given healthcare organization.

> **FHIR read**
>
> To use a `read` interaction, you must know the related resource ID, which you may not have in your real workflows. A `read` is likely only a follow-up option after receiving the specific resource in a recent FHIR passthrough or data on demand exchange.
>
> Typically, you should use the more flexible `_search` with query parameters, unless you’re guaranteed to request data directly from a FHIR server using the resource ID. [Learn more about using FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ).

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | Slot identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Slot/{id}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

The Slot

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Slot |
| `schedule` | object | Yes | The schedule resource that this slot defines an interval of status information. Must be a resource of type `Schedule`. |
| `schedule.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `status` | string | Yes | busy \| free \| busy-unavailable \| busy-tentative \| entered-in-error. Possible values: busy, free, busy-unavailable, busy-tentative, entered-in-error |
| `start` | string | Yes | Date/Time that the slot is to begin. |
| `end` | string | Yes | Date/Time that the slot is to conclude. |
| `id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `contained` | Array of Schedule or Practitioner or Location | No | These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope. |
| `contained[] (Schedule).resourceType` | string | Yes | Identifies the type of the resource. Value: Schedule |
| `contained[] (Schedule).actor` | Array of object | Yes | Slots that reference this schedule resource provide the availability details to these referenced resource(s). Must reference one of the following types of resources: - `Practitioner` - `Location` |
| `contained[] (Schedule).actor[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `contained[] (Schedule).id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `contained[] (Schedule).active` | boolean | No | Whether this schedule record is in active use or should not be used (such as was entered in error). |
| `contained[] (Practitioner).resourceType` | string | Yes | Identifies the type of the resource. Value: Practitioner |
| `contained[] (Practitioner).identifier` | Array of NPI or Other | Yes | An identifier that applies to this person in this role. |
| `contained[] (Practitioner).identifier[] (NPI).system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. Value: http://hl7.org/fhir/sid/us-npi |
| `contained[] (Practitioner).identifier[] (NPI).extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (String).valueString` | string | No | A single value for the extension. |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `contained[] (Practitioner).identifier[] (NPI).extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `contained[] (Practitioner).identifier[] (NPI).use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `contained[] (Practitioner).identifier[] (NPI).value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `contained[] (Practitioner).identifier[] (Other).system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `contained[] (Practitioner).identifier[] (Other).value` | string | Yes | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `contained[] (Practitioner).identifier[] (Other).extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `contained[] (Practitioner).identifier[] (Other).extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[] (Practitioner).identifier[] (Other).extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `contained[] (Practitioner).identifier[] (Other).extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[] (Practitioner).identifier[] (Other).extension[] (String).valueString` | string | No | A single value for the extension. |
| `contained[] (Practitioner).identifier[] (Other).extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[] (Practitioner).identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `contained[] (Practitioner).identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `contained[] (Practitioner).identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `contained[] (Practitioner).identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `contained[] (Practitioner).identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `contained[] (Practitioner).identifier[] (Other).extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[] (Practitioner).identifier[] (Other).extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `contained[] (Practitioner).identifier[] (Other).extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `contained[] (Practitioner).identifier[] (Other).extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `contained[] (Practitioner).identifier[] (Other).extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[] (Practitioner).identifier[] (Other).extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `contained[] (Practitioner).identifier[] (Other).extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `contained[] (Practitioner).identifier[] (Other).extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `contained[] (Practitioner).identifier[] (Other).extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `contained[] (Practitioner).identifier[] (Other).extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[] (Practitioner).identifier[] (Other).extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `contained[] (Practitioner).identifier[] (Other).extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `contained[] (Practitioner).identifier[] (Other).use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `contained[] (Practitioner).name` | Array of object | Yes | The name(s) associated with the practitioner. |
| `contained[] (Practitioner).name[].family` | string | Yes | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `contained[] (Practitioner).name[].use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `contained[] (Practitioner).name[].given` | Array of string | No | Given name. |
| `contained[] (Practitioner).id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `contained[] (Practitioner).active` | boolean | No | Whether this practitioner's record is in active use. |
| `contained[] (Practitioner).telecom` | Array of object | No | A contact detail for the practitioner, e.g. a telephone number or an email address. |
| `contained[] (Practitioner).telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `contained[] (Practitioner).telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `contained[] (Practitioner).telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `contained[] (Practitioner).address` | Array of object | No | Address(es) of the practitioner |
| `contained[] (Practitioner).address[].line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `contained[] (Practitioner).address[].city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `contained[] (Practitioner).address[].state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `contained[] (Practitioner).address[].postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `contained[] (Practitioner).address[].country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `contained[] (Practitioner).address[].use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `contained[] (Practitioner).address[].district` | string | No | The name of the administrative area (county). |
| `contained[] (Practitioner).gender` | string | No | Administrative Gender - the gender that the person is considered to have for administration and record keeping purposes. Possible values: male, female, other, unknown |
| `contained[] (Practitioner).qualification` | Array of object | No | The official certifications, training, and licenses that authorize or otherwise pertain to the provision of care by the practitioner.  For example, a medical license issued by a medical board authorizing the practitioner to practice medicine within a certian locality. |
| `contained[] (Practitioner).qualification[].code` | object | Yes | Coded representation of the qualification. |
| `contained[] (Practitioner).qualification[].code.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `contained[] (Practitioner).qualification[].code.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `contained[] (Practitioner).qualification[].code.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `contained[] (Practitioner).qualification[].code.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `contained[] (Location).resourceType` | string | Yes | Identifies the type of the resource. Value: Location |
| `contained[] (Location).name` | string | No | Name of the location as used by humans. Does not need to be unique. |
| `contained[] (Location).type` | Array of object | No | Indicates the type of function performed at the location. |
| `contained[] (Location).type[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `contained[] (Location).telecom` | Array of object | No | The contact details of communication devices available at the location. This can include phone numbers, fax numbers, mobile numbers, email addresses and web sites. |
| `contained[] (Location).telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `contained[] (Location).telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `contained[] (Location).telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `contained[] (Location).address` | object | No | Physical location. |
| `contained[] (Location).address.use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `contained[] (Location).address.line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `contained[] (Location).address.city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `contained[] (Location).address.district` | string | No | The name of the administrative area (county). |
| `contained[] (Location).address.state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `contained[] (Location).address.postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `contained[] (Location).address.country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `contained[] (Location).physicalType` | object | No | Physical form of the location, e.g. building, room, vehicle, road. |
| `contained[] (Location).physicalType.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `contained[] (Location).physicalType.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `contained[] (Location).physicalType.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `contained[] (Location).physicalType.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `contained[] (Location).partOf` | object | No | Another Location of which this Location is physically a part of. Must be a resource of type `Location`. |
| `contained[] (Location).partOf.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `identifier` | Array of object | No | External Ids for this item. |
| `identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `serviceType` | Array of object | No | The type of appointments that can be booked into this slot (ideally this would be an identifiable service - which is at a location, rather than the location itself). If provided then this overrides the value provided on the availability resource. |
| `serviceType[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `serviceType[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `serviceType[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `serviceType[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |

```json
{
  "resourceType": "Slot",
  "id": "RedoxSlotExample",
  "identifier": [
    {
      "system": "urn:redox:example:Slot",
      "value": "1"
    }
  ],
  "status": "free",
  "serviceType": [
    {
      "text": "Office Visit"
    }
  ],
  "start": "2022-08-01T14:00:00Z",
  "end": "2022-08-01T15:00:00Z",
  "schedule": {
    "reference": "#RedoxScheduleExample"
  },
  "contained": [
    {
      "resourceType": "Schedule",
      "id": "RedoxScheduleExample",
      "active": true,
      "actor": [
        {
          "reference": "#RedoxPractitionerExamplePat"
        },
        {
          "reference": "#RedoxLocationExampleDepartment"
        },
        {
          "reference": "#RedoxLocationExampleFacility"
        },
        {
          "reference": "#RedoxLocationExampleRoom"
        }
      ]
    },
    {
      "resourceType": "Practitioner",
      "id": "RedoxPractitionerExamplePat",
      "identifier": [
        {
          "system": "http://hl7.org/fhir/sid/us-npi",
          "value": "4356789876"
        }
      ],
      "name": [
        {
          "given": [
            "Pat"
          ],
          "family": "Granite"
        }
      ],
      "address": [
        {
          "line": [
            "123 Main St."
          ],
          "city": "Madison",
          "district": "Dane",
          "state": "WI",
          "postalCode": "53703",
          "country": "USA"
        }
      ],
      "telecom": [
        {
          "value": "+16085551234"
        }
      ]
    },
    {
      "resourceType": "Location",
      "id": "RedoxLocationExampleDepartment",
      "identifier": [
        {
          "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.696570",
          "value": "3490285621"
        }
      ],
      "name": "3N",
      "type": [
        {
          "text": "Inpatient"
        }
      ],
      "physicalType": {
        "coding": [
          {
            "code": "wa",
            "system": "http://terminology.hl7.org/CodeSystem/location-physical-type",
            "display": "Ward"
          }
        ],
        "text": "Department"
      },
      "partOf": {
        "reference": "#RedoxLocationExampleFacility"
      }
    },
    {
      "resourceType": "Location",
      "id": "RedoxLocationExampleFacility",
      "identifier": [
        {
          "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.696570",
          "value": "461904242"
        }
      ],
      "name": "RES General Hospital",
      "physicalType": {
        "coding": [
          {
            "code": "si",
            "system": "http://terminology.hl7.org/CodeSystem/location-physical-type",
            "display": "Site"
          }
        ],
        "text": "Facility"
      }
    },
    {
      "resourceType": "Location",
      "id": "RedoxLocationExampleRoom",
      "identifier": [
        {
          "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.696570",
          "value": "6592045611"
        }
      ],
      "name": "136",
      "physicalType": {
        "coding": [
          {
            "code": "ro",
            "system": "http://terminology.hl7.org/CodeSystem/location-physical-type",
            "display": "Room"
          }
        ]
      },
      "partOf": {
        "reference": "#RedoxLocationExampleDepartment"
      }
    }
  ]
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 404

Not found or not supported

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "not-found",
      "details": {
        "coding": [
          {
            "code": "MSG_NO_MODULE",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "my-sandbox is not a recognized FHIR organization"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
